"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = build;
var _path = _interopRequireDefault(require("path"));
var _kleur = _interopRequireDefault(require("kleur"));
var _del = _interopRequireDefault(require("del"));
var _compile = _interopRequireDefault(require("../utils/compile"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
async function build({
  root,
  source,
  output,
  exclude,
  options,
  variants,
  report
}) {
  report.info(`Cleaning up previous build at ${_kleur.default.blue(_path.default.relative(root, output))}`);
  await (0, _del.default)([output]);
  await (0, _compile.default)({
    ...options,
    variants,
    root,
    source,
    output,
    exclude,
    modules: 'preserve',
    report
  });
}
//# sourceMappingURL=module.js.map