"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.isCodegenSpec = isCodegenSpec;
var _fsExtra = _interopRequireDefault(require("fs-extra"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function isCodegenSpec(filepath) {
  const looksLikeCodgenSpec = /(?:^|[\\/])(?:(\w+)NativeComponent)\.[jt]sx?$/i.test(filepath);
  if (looksLikeCodgenSpec) {
    // This is used in the babel plugin so needs to be synchronous
    const content = _fsExtra.default.readFileSync(filepath, 'utf8');

    // Regex taken from https://github.com/facebook/react-native/blob/271232d85654cee32322b1c8a3a39ef647ad02e2/packages/react-native-babel-preset/src/configs/main.js#L78C24-L78C47
    if (/\bcodegenNativeComponent</.test(content)) {
      return true;
    }
  }
  return false;
}
//# sourceMappingURL=isCodegenSpec.js.map